Search documentation of bb

# BB.Dsl.StateTransformer (bb v0.17.0)

Copy Markdown View Source

Collects state definitions and injects state-related functions.

This transformer:

- Collects all states defined in the `states` section
- Adds the built-in `:idle` state if not explicitly defined
- Injects `__bb_states__/0` and `__bb_initial_state__/0` functions

## Summary

### Functions

after_compile?()

Callback implementation for `Spark.Dsl.Transformer.after_compile?/0`.

## Functions

# after_compile?()

Callback implementation for `Spark.Dsl.Transformer.after_compile?/0`.